#ifndef TRACE_HPP
#define TRACE_HPP

#include "Common.hpp"

bool loadTraceData(const std::string& fileName,
                   std::vector<uint8_t>* pData,
                   std::string* pMsg = nullptr);

bool parseTrace(const std::vector<uint8_t>& data,
                std::vector<Command>* pTrace,
                std::string* pMsg = nullptr);

bool loadTrace(const std::string& fileName,
               std::vector<Command>* pTrace,
               std::string* pMsg = nullptr);

bool formatTrace(const std::vector<Command>& trace,
                 std::vector<uint8_t>* pData,
                 std::string* pMsg = nullptr);

bool saveTraceData(const std::vector<uint8_t>& data,
                   const std::string& fileName,
                   std::string* pMsg = nullptr);

bool saveTrace(const std::vector<Command>& trace,
               const std::string& fileName,
               std::string* pMsg = nullptr);

#endif
