#include "Batch.hpp"

using std::string;

bool parseBatch(const string& batchStr, Batch* pBatch)
{
    if (batchStr == "la")
    {
        if (pBatch) *pBatch = Batch::LA;
        return true;
    }
    else if (batchStr == "fa")
    {
        if (pBatch) *pBatch = Batch::FA;
        return true;
    }
    else if (batchStr == "fd")
    {
        if (pBatch) *pBatch = Batch::FD;
        return true;
    }
    else if (batchStr == "fr")
    {
        if (pBatch) *pBatch = Batch::FR;
        return true;
    }
    else if (batchStr == "frd")
    {
        if (pBatch) *pBatch = Batch::FRD;
        return true;
    }
    else if (batchStr == "fra")
    {
        if (pBatch) *pBatch = Batch::FRA;
        return true;
    }
    else
    {
        return false;
    }
}

string formatBatch(Batch batch)
{
    switch (batch)
    {
    case Batch::LA: return "la";
    case Batch::FA: return "fa";
    case Batch::FD: return "fd";
    case Batch::FR: return "fr";
    case Batch::FRD: return "frd";
    case Batch::FRA: return "fra";
    default: return "<unknown>";
    }
}
